Last modified: 2013-04-23 14:23:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35403 - Documentation for Gerrit on labs is almost as ugly as Gerrit itself
Documentation for Gerrit on labs is almost as ugly as Gerrit itself
Status: RESOLVED FIXED
Product: Wikimedia Labs
Classification: Unclassified
Other (Other open bugs)
unspecified
All All
: Low normal
: ---
Assigned To: Peter Bena
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-03-22 10:27 UTC by Peter Bena
Modified: 2013-04-23 14:23 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Peter Bena 2012-03-22 10:27:06 UTC
Hi

Is there any better documentation for gerrit on labs? I need to change few config files, but I can't even check out the correct repository

git clone ssh://petrb@gerrit.wikimedia.org:29418/operations/puppet.git

gives me a bunch of files which doesn't even look as configs we use on labs. How do I switch to correct one? Where do I find nrpe_local for nagios we use on labs?

I need to implement new check, that means 1 new file and 1 change to template of nrpe
Comment 1 Peter Bena 2012-03-22 10:35:43 UTC
Ok, I found resolution for this problem:

git rebase test

this switch me to test version we use on labs

However I think we should improve the docs we have on labs though
Comment 2 Hydriz Scholz 2012-06-18 12:36:41 UTC
As with all docs-related bugs, added dependency to bug 1.
Comment 3 Dereckson 2012-06-18 12:39:07 UTC
I must confess I'm very attempted to work on an handbook like the FreeBSD ones:

If the scope is git/gerrit/workflow, it would be something like:
* http://www.freebsd.org/doc/en/books/porters-handbook/

If the scope is broader, it would be something like:
* http://www.freebsd.org/doc/en/books/developers-handbook/
Comment 4 Dereckson 2012-06-18 12:40:09 UTC
(I'm very tempted)
Comment 5 Quim Gil 2012-11-28 07:19:56 UTC
See also Bug 36437 - A strict and correct Git workflow document is needed 

What we miss now is less docs, not more.  :)
Comment 6 Dereckson 2012-11-28 10:31:08 UTC
This is maybe why I offered to write a *consolidated* documentation.
Comment 7 Quim Gil 2012-11-28 17:10:33 UTC
Ok ok  :)  I'll try to get a Outreach Program for Women candidate for this consolidation work, and then you could mentor her (if approved) instead of having to do all the work all by yourself.

Is there a related microtask that I could ask the candidate to do here and now?
Comment 8 Quim Gil 2013-03-05 23:12:00 UTC
What do you need? Please be precise. Ugliness is an unclear concept.  :)

There is https://wikitech.wikimedia.org/wiki/Gerrit - which should contain only Labs specific info and link to http://www.mediawiki.org/wiki/Gerrit & related mw.o pages for all the rest.
Comment 9 Quim Gil 2013-04-23 14:23:18 UTC
No more complaints. Resolving as FIXED. Please reopen if you disagree, pointing to specific problems. Thank you!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links